Bug 252226 - non-label fstab entries needlessly require reboot on network upgrade
non-label fstab entries needlessly require reboot on network upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-14 16:01 EDT by thepiratekings
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:09:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description thepiratekings 2007-08-14 16:01:43 EDT
Description of problem:
10 or 15 minutes into my network install upgrade from fc6 to fc7, I got a popup
telling me my fstab line for /dev/hdb2 should refer to a label rather than a
device.  This is fine, but the subsequent action- a forced reboot- left me with
no useful options.

Version-Release number of selected component (if applicable):


How reproducible:
perform a network install of f7 upgrading from fc6 with a user-created line in
fstab pointing to a hard drive other than the one the root partition is on (mine
mounted to /opt)

Steps to Reproduce:
1.
2.
3.
  
Actual results:

My machine was rebooted and I was left to figure out how to fix the fstab.  I
fixed it by commenting out the line that referred to /dev/hdb2, and the install
proceeded normally.

Expected results:

I would have expected an attempt to manage the partition via a labelling process
of some sort, or at the least an attempt to proceed without using this drive
since no files were going to be written to /opt so far as I know anyhow, or at
the very least giving me the opportunity to edit the file and resume the
install, especially since I had downloaded roughly 100 MB for the stage2.img
file already and that alone took quite a long time on my network.

Additional info:
Comment 1 Bug Zapper 2008-05-14 09:59:13 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Andy Lindeberg 2008-06-03 17:27:14 EDT
Have you encountered the same issue in Fedora 9?
Comment 3 Bug Zapper 2008-06-16 22:09:23 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.